#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    int n,k,res;
    bool temp;

    cin >> n >> k;

    int niz[n];

    for(int i = 0; i < n; ++i) cin >> niz[i];

    if(niz[n-1] == k) cout << niz[0];
    else {
        for(int i = 0; i < n-1; ++i) {
            if(niz[i] == k) {
                cout << niz[i+1];
                return 0;
            }
        }
    }


    return 0;
}